# New DNS server!

I was fucking about with my DNS resolver to hopefully speed things up by a few milliseconds, and it gave me the idea to create my own DNS resolver!

## Why?

- There are no good, reliable, high speed DNS resolvers in Canada
- They all have snake oil ad-blocking bullshit built in

## How?

I'm just using `dnsmasq` for this. My upstream DNS server is `8.8.8.8` and `4.4.4.4` as fallback (this is Google's DNS)

Some of you might find it stupid to use Google's DNS, but trust me, it's the best out there. There are virtually no ratelimits, and surprisingly no censorship. OpenDNS/Cloudflare are either slow or censors specific hosts. One that comes to mind are archive.today domains under Cloudflare.

There is caching enabled, so for already resolved domains the lookups should be really really fast if you live close to my server. 4get uses this DNS resolver; since I started using it I've had no issues. I also use it on my local machine, and here too, no issues.

This DNS server shares the same concept as 4get: the more people use it, the more anonymous it gets!

## Use it

Edit `/etc/resolv.conf` and add this line at the top of the file

```
nameserver 51.79.70.119
```

And that's it!
